Page MenuHomePhabricator

Provide thumbnail image and brief description of articles in the ContentTranslation source selector
Closed, ResolvedPublic1 Story Points

Description

This is a feature proposal. We can provide thumbnail image and brief description of articles in article selector to pick source articles in a more convenient and unambiguous way. Now we show only list title texts.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterPageselector widget

Event Timeline

santhosh created this task.Jan 26 2015, 7:03 PM
santhosh raised the priority of this task from to Medium.
santhosh updated the task description. (Show Details)
santhosh added subscribers: santhosh, Pginer-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2015, 7:03 PM

We can also anticipate some information that may be useful for that selection. Some ideas:

  • Whether the article is available on the target language.
  • Impact (e.g., viewers for the article)
  • Quality (e.g., is it a stub? a featured article?)
  • Communicate article does not exist and show alternative ones.

Not all of them equally important, but worth considering when designing the feature.

santhosh updated the task description. (Show Details)Jan 26 2015, 8:49 PM
santhosh set Security to None.
Amire80 renamed this task from souce selector: Provide thumbnail image and brief description of articles in article selector to Provide thumbnail image and brief description of articles in the ContentTranslation source selector.Feb 4 2015, 2:19 PM

Change 195240 had a related patch set uploaded (by Santhosh):
Pageselector widget

https://gerrit.wikimedia.org/r/195240

santhosh claimed this task.Apr 20 2015, 5:28 AM
santhosh added a project: LE-Sprint-86.

Screenshot from above patch

santhosh moved this task from Backlog to In Review on the LE-Sprint-86 board.Apr 20 2015, 5:37 AM
santhosh edited a custom field.

The widget was written in a generic way. It has no dependency with CX.

Change 195240 merged by jenkins-bot:
Pageselector widget

https://gerrit.wikimedia.org/r/195240

santhosh closed this task as Resolved.May 25 2015, 7:58 AM
santhosh moved this task from In Review to Done on the LE-Sprint-86 board.